SAGA openCV and processing tools.

2018-08-03 10:43 AM - Patrice Carbonneau

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.2.1 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27367

Description

None of the open CV processing tools seem to work.  I have read that they do not function as part of a modeller, but for me they don't even

work outside any sortt of batching mode.  There are doubts about usage, notably about the 'Class Identifier' parameter.  But there is no

documentation (even in 2.18 where this tool did exist) and the help button has a dead link. I treid a little csv file with the name of the

classes.   Error message is the same for all openCV tools.  Main error seems to be about selecting a library?  I notice that QGIS installs

SAGA 2.3.2, but open CV tools are not available in that version of SAGA, only much later.

{ '1SE_RULE' : True, 'ACTIVE_VARS' : 0, 'CLASSES' :

'C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/b70c949afe684f9694a842a7e5d829f0/CLASSES.sdat', 'FEATURES' : '', 'MAX_CATEGRS' : 10, 'MA

SES.sdat', 'FEATURES' : '', 'MAX_CATEGRS' : 10, 'MAX_DEPTH' : 10, 'MIN_SAMPLES' : 2, 'NORMALIZE' : False,

'REG_ACCURACY' : 0.01, 'TRAIN_AREAS' : 'E:\\Deep Riverscapes\\StMarg\\Qtest2_class.shp', 'TRAIN_CLASS' :

'D:/DeepRiverscapes/CLS_ID.csv', 'TRUNC_PRUNED' : True }

imagery_opencv "Random Forest Classification (OpenCV)" -NORMALIZE false -TRAIN_AREAS "E:\Deep

Riverscapes\StMarg\Qtest2_class.shp" -TRAIN_CLASS

"C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/4743f3c5d45043c3baf34be4e4fd9366/TRAIN_CLASS.shp" -MAX_DEPTH 10 -MIN_SAMPLES 2 -MAX_CATEGRS 10 -1SE_RULE true -TRUNC_PRUNED true -REG_ACCURACY 0.01 -ACTIVE_VARS 0 -CLASSES "C:/Use

IN_CLASS.shp" -MAX_DEPTH 10 -MIN_SAMPLES 2 -MAX_CATEGRS 10 -1SE_RULE true -TRUNC_PRUNED true

-REG_ACCURACY 0.01 -ACTIVE_VARS 0 -CLASSES

"C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/b70c949afe684f9694a842a7e5d829f0/CLASSES.sdat"

SSES.sdat"

C:\PROGRA~1\QGIS3~1.2\bin>set SAGA=C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr

C:\PROGRA~1\QGIS3~1.2\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.2\bin>PATH=C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\numpy\core;C:\PROGRA~1\QGIS

~1.2\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.2\apps\Python36;C:\PROGRA~1\QGIS3~1.2\apps\Python36\Scripts;C:\PROGRA~1\QGIS3~1.2\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.2\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.2\bin;C:\WINDOWS\system32;C:\W

~1.2\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.2\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.2\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\pypiwin32_system32;;C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr\modules

WS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\pypiwin32_system32;;C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr\modules

QGIS3~1.2/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.2/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.2\bin>saga_cmd imagery_opencv "Random Forest Classification (OpenCV)" -NORMALIZE false

-TRAIN_AREAS "E:\Deep Riverscapes\StMarg\Qtest2_class.shp" -TRAIN_CLASS

"C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/4743f3c5d45043c3baf34be4e4fd9366/TRAIN_CLASS.shp" -MAX_DEPTH 10 -MIN_SAMPLES 2 -MAX_CATEGRS 10 -1SE_RULE true -TRUNC_PRUNED true -REG_ACCURACY 0.01 -ACTIVE_VARS 0 -CLASSES "C:/Users/patca/AppData/Local/Temp/process

IN_CLASS.shp" -MAX_DEPTH 10 -MIN_SAMPLES 2 -MAX_CATEGRS 10 -1SE_RULE true -TRUNC_PRUNED true

-REG_ACCURACY 0.01 -ACTIVE_VARS 0 -CLASSES

"C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/b70c949afe684f9694a842a7e5d829f0/CLASSES.sdat" 

SSES.sdat" 

Error: select a library

____________________
    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

____________________

SAGA Version: 2.3.2 (64 bit)

69 loaded tool libraries (640 tools):

- climate_tools

- contrib_perego

- db_odbc

- db_pgsql

- docs_html

- garden_3d_viewer

- garden_fractals

- garden_games

- garden_learn_to_program

- garden_webservices

- grid_analysis

- grid_calculus

- grid_calculus_bsl

- grid_filter

- grid_gridding

- grid_spline

- grid_tools

- grid_visualisation

- imagery_classification

- imagery_isocluster

- imagery_maxent

- imagery_photogrammetry

- imagery_segmentation

- imagery_svm

- imagery_tools

- io_esri_e00

- io_gdal

- io_gps

- io_grid

- io_grid_image

- io_shapes

- io_shapes_dxf

- io_table

- io_virtual

- pj_georeference

- pj_geotrans

- pj_proj4

- pointcloud_tools

- pointcloud_viewer

- shapes_grid

- shapes_lines

- shapes_points
- shapes_polygons

- shapes_tools

- shapes_transect

- sim_cellular_automata

- sim_ecosystems_hugget

- sim_erosion

- sim_fire_spreading

- sim_hydrology

- sim_ihacres

- sim_qm_of_esp

- sim_rivflow

- statistics_grid

- statistics_kriging

- statistics_points

- statistics_regression

- ta_channels

- ta_compound

- ta_hydrology

- ta_lighting

- ta_morphometry

- ta_preprocessor

- ta_profiles

- ta_slope_stability

- table_calculus

- table_tools

- tin_tools

- tin_viewer

type -h or --help for further information

C:\PROGRA~1\QGIS3~1.2\bin>exit

Execution completed in 6.62 seconds

Results:{'CLASSES':

'C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/b70c949afe684f9694a842a7e5d829f0/CLASSES.sdat'}

SES.sdat'}

Loading resulting layers

The following layers were not correctly

generated.<ul><li>C:/Users/patca/AppData/Local/Temp/processing_7c97d6ddd9dd4aeb9964c897acb1336d/b70c949afe684f9694a842a7e5d829f0/CLASSES.sdat</li></ul>You ca

a7e5d829f0/CLASSES.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the

execution of the algorithm.

History

#1 - 2019-01-30 06:17 PM - Alexander Bruy

- Status changed from Open to Feedback

Please test with master/3.4. If issue persist please provide test data and steps to reproduce.

#2 - 2019-02-13 08:11 AM - Alexander Bruy

- Resolution set to no timely feedback
- Status changed from Feedback to Closed
